package main

import rl "github.com/gen2brain/raylib-go/raylib"

type Tile struct {
	X, Y     int
	Height   float32
	Walkable bool
}

type ActionType int

const (
	MoveAction ActionType = iota
)

type Action struct {
	Type ActionType
	X, Y int // Target position for movement
}

type Player struct {
	PosActual   rl.Vector3
	PosTile     Tile
	TargetPath  []Tile
	Speed       float32
	ActionQueue []Action // Queue for player actions
	Model       rl.Model
	Texture     rl.Texture2D
	ID          int32
}
